## ros-melodic-rotors-joy-interface 2.2.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rotors_joy_interface)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  geometry_msgs
  mav_msgs
  sensor_msgs
  trajectory_msgs
)
include_directories(include ${catkin_INCLUDE_DIRS})

catkin_package(
  DEPENDS
  INCLUDE_DIRS include
  CATKIN_DEPENDS roscpp geometry_msgs mav_msgs sensor_msgs trajectory_msgs
  LIBRARIES
)

add_definitions(-std=c++11)

add_executable(rotors_joy_interface src/joy.cpp)
add_dependencies(rotors_joy_interface ${catkin_EXPORTED_TARGETS})
target_link_libraries(rotors_joy_interface ${catkin_LIBRARIES})

install(TARGETS rotors_joy_interface
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-melodic-rotors-joy-interface (2.2.3-0stretch) stretch; urgency=high



 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Wed, 12 Dec 2018 23:00:00 -0000

ros-melodic-rotors-joy-interface (2.2.2-0stretch) stretch; urgency=high



 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Tue, 11 Dec 2018 23:00:00 -0000

ros-melodic-rotors-joy-interface (2.2.0-0stretch) stretch; urgency=high

  * Merge pull request #397 <https://github.com/ethz-asl/rotors_simulator/issues/397> from ethz-asl/v2.1.1
    update to 2.1.1
  * Contributors: Mina Kamel

 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Sun, 09 Dec 2018 23:00:00 -0000

ros-melodic-rotors-joy-interface (2.1.1-0stretch) stretch; urgency=high

  * update maintainers
  * Contributors: fmina

 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Wed, 26 Apr 2017 22:00:00 -0000

ros-melodic-rotors-joy-interface (2.1.0-0stretch) stretch; urgency=high

  * Adding interface for Python-uinput, a virtual keyboard joystick
  * Adapting the joystick node for use with fixed-wing
  * Removing keyboard teleop node
  * Adding keyboard interface node
  * Contributors: Fadri Furrer, Pavel

 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Fri, 07 Apr 2017 22:00:00 -0000

ros-melodic-rotors-joy-interface (2.0.1-0stretch) stretch; urgency=high



 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Sun, 09 Aug 2015 22:00:00 -0000

ros-melodic-rotors-joy-interface (2.0.0-0stretch) stretch; urgency=high

  * Propagate mav_comm changes.
  * Contributors: Helen Oleynikova

 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Sat, 08 Aug 2015 22:00:00 -0000

ros-melodic-rotors-joy-interface (1.1.6-0stretch) stretch; urgency=high

  * removed wrong install folder

 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Wed, 10 Jun 2015 22:00:00 -0000

ros-melodic-rotors-joy-interface (1.1.5-0stretch) stretch; urgency=high

  * added install targets

 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Mon, 08 Jun 2015 22:00:00 -0000

ros-melodic-rotors-joy-interface (1.1.4-0stretch) stretch; urgency=high



 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Wed, 27 May 2015 22:00:00 -0000

ros-melodic-rotors-joy-interface (1.1.3-0stretch) stretch; urgency=high



 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Wed, 27 May 2015 22:00:00 -0000

ros-melodic-rotors-joy-interface (1.1.2-0stretch) stretch; urgency=high



 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Tue, 26 May 2015 22:00:00 -0000

ros-melodic-rotors-joy-interface (1.1.1-0stretch) stretch; urgency=high



 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Thu, 23 Apr 2015 22:00:00 -0000

ros-melodic-rotors-joy-interface (1.1.0-0stretch) stretch; urgency=high

  * initial Ubuntu package release

 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Thu, 23 Apr 2015 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-rotors-joy-interface
Section: misc
Priority: extra
Maintainer: Fadri Furrer <fadri.furrer@mavt.ethz.ch>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-mav-msgs, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-trajectory-msgs
Homepage: https://github.com/ethz-asl/rotors_simulator
Standards-Version: 3.9.2

Package: ros-melodic-rotors-joy-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-geometry-msgs, ros-melodic-mav-msgs, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-trajectory-msgs
Description: The rotors_joy_interface package to control MAVs with a joystick

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rotors-joy-interface//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
